import turtle as t
import math

wand = 200
diag = math.sqrt(wand**2+wand**2)
dach = math.sqrt((wand/2)**2+(wand/2)**2)
tuer_breite = 20
tuer_hoehe = 40
fenster_r = 20 # Radius


pen = t.Pen()
pen.color("red")

#Haus vom Nikolaus
pen.up()
pen.forward(-wand//2)
pen.left(90)
pen.down()             #anfangen
pen.forward(wand)
pen.right(45)
pen.forward(dach)
pen.right(90)
pen.forward(dach)
pen.right(135)
pen.forward(wand)
pen.left(135)
pen.forward(diag)
pen.right(135)
pen.forward(wand)
pen.right(135)
pen.forward(diag)
pen.right(135)
pen.forward(wand)
pen.up()

#Tür
pen.home()
pen.forward(-tuer_breite/2)
pen.left(90)
pen.fillcolor("blue")
pen.begin_fill()
pen.forward(tuer_hoehe)
pen.right(90)
pen.forward(tuer_breite)
pen.right(90)
pen.forward(tuer_hoehe)
pen.right(90)
pen.forward(tuer_breite)
pen.right(90)
pen.end_fill()

#Fenster

pen.home()
pen.left(90)
pen.forward(wand + wand//4)
pen.right(90)
pen.forward(fenster_r)
pen.left(90)
pen.begin_fill()
pen.circle(fenster_r)
pen.end_fill()

t.done()